ON_Evaluator Class Referenceabstract

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_math.h>`

## Public Member Functions

| ON_Evaluator (int parameter_count, int value_count, const ON_Interval *domain, const bool *periodic)
virtual | ~ON_Evaluator ()
virtual int | Evaluate (const double *parameters, double *values, double **jacobian)=0
virtual int | EvaluateHessian (const double *parameters, double *value, double *gradient, double **hessian)
bool | FiniteDomain () const
bool | Periodic (int parameter_index) const
ON_Interval | Domain (int parameter_index) const

## Public Attributes

const int | m_parameter_count
const int | m_value_count
ON_SimpleArray< ON_Interval > | m_domain
ON_SimpleArray< bool > | m_bPeriodicParameter

## Detailed Description

Definition at line 133 of file opennurbs_math.h.

## Constructor & Destructor Documentation

## ON_Evaluator()

ON_Evaluator::ON_Evaluator | ( | int | parameter_count,
|  | int | value_count,
|  | const ON_Interval * | domain,
|  | const bool * | periodic
| ) |  |

## ~ON_Evaluator()

virtual ON_Evaluator::~ON_Evaluator | ( |  | ) |

virtual

## Member Function Documentation

## Domain()

ON_Interval ON_Evaluator::Domain | ( | int | parameter_index | ) | const

## Evaluate()

virtual int ON_Evaluator::Evaluate | ( | const double * | parameters,
|  | double * | values,
|  | double ** | jacobian
| ) |  |

pure virtual

## EvaluateHessian()

virtual int ON_Evaluator::EvaluateHessian | ( | const double * | parameters,
|  | double * | value,
|  | double * | gradient,
|  | double ** | hessian
| ) |  |

virtual

## FiniteDomain()

bool ON_Evaluator::FiniteDomain | ( |  | ) | const

## Periodic()

bool ON_Evaluator::Periodic | ( | int | parameter_index | ) | const

## Member Data Documentation

## m_bPeriodicParameter

ON_SimpleArray<bool> ON_Evaluator::m_bPeriodicParameter

Definition at line 316 of file opennurbs_math.h.

## m_domain

ON_SimpleArray<ON_Interval> ON_Evaluator::m_domain

Definition at line 309 of file opennurbs_math.h.

## m_parameter_count

const int ON_Evaluator::m_parameter_count

Definition at line 254 of file opennurbs_math.h.

## m_value_count

const int ON_Evaluator::m_value_count

Definition at line 258 of file opennurbs_math.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_math.h